"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cloud_function_1 = tslib_1.__importDefault(require("../../util/cloud-function"));
const core_1 = require("@oclif/core");
class Functions extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Functions);
        const currentWorkingDirectory = process.cwd();
        const projectBasePath = flags['data-dir'] || currentWorkingDirectory;
        const port = process.env.PORT || flags.port;
        await new cloud_function_1.default(projectBasePath).serveCloudFunctions(port);
    }
}
exports.default = Functions;
Functions.description = 'Serve cloud functions';
Functions.examples = [
    '$ csdx launch:functions',
    '$ csdx launch:functions --port=port',
    '$ csdx launch:functions --data-dir <path/of/current/working/dir>',
    '$ csdx launch:functions --data-dir <path/of/current/working/dir> -p "port number"',
];
Functions.flags = {
    port: core_1.Flags.string({
        char: 'p',
        default: '3000',
        description: 'Port number',
    }),
    'data-dir': core_1.Flags.string({
        char: 'd',
        description: 'Current working directory',
    }),
};
