"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkIfDirectoryExists = exports.walkFileSystem = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = require("path");
function walkFileSystem(directory) {
    return tslib_1.__asyncGenerator(this, arguments, function* walkFileSystem_1() {
        var _a, e_1, _b, _c;
        const fileSystemIterator = yield tslib_1.__await(fs_1.default.promises.opendir(directory));
        try {
            for (var _d = true, fileSystemIterator_1 = tslib_1.__asyncValues(fileSystemIterator), fileSystemIterator_1_1; fileSystemIterator_1_1 = yield tslib_1.__await(fileSystemIterator_1.next()), _a = fileSystemIterator_1_1.done, !_a;) {
                _c = fileSystemIterator_1_1.value;
                _d = false;
                try {
                    const fileSystemElement = _c;
                    const filePath = (0, path_1.normalize)((0, path_1.join)(directory, fileSystemElement.name)).replace(/^(\.\.(\/|\\|$))+/, "");
                    if (fileSystemElement.isDirectory()) {
                        yield tslib_1.__await(yield* tslib_1.__asyncDelegator(tslib_1.__asyncValues(walkFileSystem(filePath))));
                    }
                    else if (fileSystemElement.isFile()) {
                        yield yield tslib_1.__await(filePath);
                    }
                }
                finally {
                    _d = true;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (!_d && !_a && (_b = fileSystemIterator_1.return)) yield tslib_1.__await(_b.call(fileSystemIterator_1));
            }
            finally { if (e_1) throw e_1.error; }
        }
    });
}
exports.walkFileSystem = walkFileSystem;
function checkIfDirectoryExists(directoryPath) {
    return fs_1.default.existsSync(directoryPath);
}
exports.checkIfDirectoryExists = checkIfDirectoryExists;
