import { ApolloClient } from '@apollo/client/core';
import { ContentstackClient, FlagInput } from '@contentstack/cli-utilities';
import { ConfigType, LogFn } from '../types';
type CommpnOptions = {
    log: LogFn;
    managementSdk: ContentstackClient;
};
declare function getOrganizations(options: CommpnOptions, skip?: number, organizations?: Record<string, any>[]): Promise<Record<string, any>[]>;
declare function selectOrg(options: CommpnOptions & {
    flags: FlagInput;
    config: ConfigType;
}): Promise<void>;
/**
 * @method selectProject - select projects
 *
 * @return {*}  {Promise<void>}
 * @memberof Logs
 */
declare function selectProject(options: {
    log: LogFn;
    flags: FlagInput;
    config: ConfigType;
    apolloClient: ApolloClient<any>;
}): Promise<void>;
declare function getLaunchHubUrl(): string;
export { getOrganizations, selectOrg, selectProject, getLaunchHubUrl };
